package de.opalpiraten.scenepainter.sys;
import java.net.URL;

/**
 * Containerclass for storing information required to access nenya
 * media lib resources.
 */
public abstract class NenyaDescriptor {

  /**
   * A description of the product, the loaded resources belongs to 
   * (optional)
   */
  public String product = "";
  
  /**
   * The directory in which the resource files are stored
   */
  public String rsrcdir ="";
  
  /**
   * The manager.properties file (relative to the the rsrcdir).
   */
  public String manager = "";
  
  /**
   * Name of the resourceset containing tiles (as specified in
   * the manager.properties file).
   */
  public String tilesets = "";
  
  /**
   * Name of the resourceset containing components (as specified in
   * the manager.properties file).
   */
  public String components = "";
  
  /**
   * Additional jar files containing resources as well. Such .jar files
   * are "overlays" over the resourcedir.
   */
  public URL[] jars = new URL[0];
  
  /**
   * Prefix to pass to the resourcemanager.
   */
  public String root ="";

  public NenyaDescriptor() {
  
  }
}